- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.RunOnDemandConnectorInstanceResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#body.aspect_1)
- [SampleCase](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#SampleCase)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#SampleCase.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.integrations.connectors.connectorInstances.runOnDemand

Triggers an immediate, single execution of the connector. Use this method for testing configuration changes or manually force-starting a data ingestion cycle.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:runOnDemand`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The connector instance identifier (from route) Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/connectors/{connector}/connectorInstances/{connectorInstance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connectorInstance": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances#ConnectorInstance`) } } ``` |

| Fields ||
|---|---|
| `connectorInstance` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances#ConnectorInstance`)`` Required. The connector instance with values from FE. |

### Response body

Response for connectorInstances.runOnDemand.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "debugOutput": string, "success": boolean, "sampleCases": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#SampleCase`) } ] } ``` |

| Fields ||
|---|---|
| `debugOutput` | `string` Output only. The execution debug output message |
| `success` | `boolean` Output only. True if the execution was successful, false if not. |
| `sampleCases[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.integrations.connectors.connectorInstances/runOnDemand#SampleCase`)`` Output only. The alerts that were produced by the connector run. Could also be an empty list when no alerts were produced by the connector. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.connectorInstances.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## SampleCase

Sample case.

| JSON representation |
|---|
| ``` { "displayName": string, "productName": string, "startTime": string, "endTime": string, "eventCount": string, "fullCaseInfoAsJson": string } ``` |

| Fields ||
|---|---|
| `displayName` | `string` Output only. The display name of the sample case |
| `productName` | `string` Output only. The product name of the alert |
| `startTime` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The start time of the sample case |
| `endTime` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The end time of the sample case |
| `eventCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The number of events in the alert |
| `fullCaseInfoAsJson` | `string` Output only. The sample case full info represented as json |